# Coverage for Doctrine_Hook_Parser

Back to coverage report

1 | <?php
2 | /*
3 | * $Id: Parser.php 2963 2007-10-21 06:23:59Z Jonathan.Wage $
4 | *
5 | * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
6 | * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
7 | * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
8 | * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
9 | * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
10 | * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
11 | * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
12 | * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
13 | * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
14 | * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
15 | * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
16 | *
17 | * This software consists of voluntary contributions made by many individuals
18 | * and is licensed under the LGPL. For more information, see
19 | * <http://www.phpdoctrine.org>.
20 | */
21 |
22 | /**
23 | * Doctrine_Hook_Parser
24 | *
25 | * @package Doctrine
26 | * @subpackage Hook
27 | * @license http://www.opensource.org/licenses/lgpl-license.php LGPL
28 | * @link www.phpdoctrine.org
29 | * @since 1.0
30 | * @version $Revision: 2963 $
31 | * @author Konsta Vesterinen <kvesteri@cc.hut.fi>
32 | */
33 | abstract class Doctrine_Hook_Parser
34 | {
35 | protected $condition;
36 | protected $params = array();
37 |
38 | public function getCondition()
39 | {
40 | return $this->condition;
41 | }
42 |
43 | /**
44 | * getParams
45 | * returns the parameters associated with this parser
46 | *
47 | * @return array
48 | */
49 | public function getParams()
50 | {
51 | return $this->params;
52 | }
53 |
54 | /**
55 | * parse
56 | * Parses given field and field value to DQL condition
57 | * and parameters. This method should always return
58 | * prepared statement conditions (conditions that use
59 | * placeholders instead of literal values).
60 | *
61 | * @param string $alias component alias
62 | * @param string $field the field name
63 | * @param mixed $value the value of the field
64 | * @return void
65 | */
66 | abstract public function parse($alias, $field, $value);
67 | }